import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class InputComponent implements ControlValueAccessor {
    set disabled(disabled: boolean);
    readonly disabled$: import("@angular/core").WritableSignal<boolean>;
    readonly controlValue$: import("@angular/core").WritableSignal<string | null>;
    private onChangeFn;
    private onTouchedFn;
    inputChanged(event: any): void;
    registerOnChange(onChangeFn: any | undefined): void;
    registerOnTouched(onTouchedFn: any | undefined): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "input[sp-input], textarea[sp-textarea]", never, { "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
